/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1;


/**
 * Java component implementation
 * 1 service with interface Service1
 * 1 reference (1..1) with interface Service1
 * reference gets called when service1 operation1 is invoked
 *
 * Class has a @Requires attribute applied to it, containing the "managedTransaction" intent
 */
@Service(Service1.class)
@Requires(ManagedTransaction.MANAGEDTRANSACTION)
public class service1WithIntentImpl implements Service1 {
	
	@Property
	public String serviceName = "service1";
	
	public String operation1(String input) {
		return serviceName + " operation1 invoked";
	}

}
