/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test.x;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1;
import org.oasisopen.sca.test.y.ServiceComplex1;
import org.oasisopen.sca.test.z.ComplexClass;


/**
 * Java component implementation with
 * 1 service with interface Service1,
 * 1 reference (1..1) with interface Service1
 * reference gets called when service1 operation1 is invoked
 *
 */
@Service(Service1.class)
public class service1ComplexClientImpl implements Service1 {
	
	@Property
	public String serviceName = "service1";
	// Reference with an implied multiplicity of (1..1) since required=true is the default
	@Reference
	public ServiceComplex1 reference1 = null;

	public String operation1(String input) {
 		// Invoke the ServiceComplex1 service
		ComplexClass complex = new ComplexClass();
		complex.setValue1("input_data");
		complex.setValue2(1);
		String result = reference1.operation1(complex);
		return serviceName + " operation1 invoked" + " " + result;
	}

}
