/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test.y;

import org.oasisopen.sca.annotation.Remotable;
import org.oasisopen.sca.test.z.ComplexClass;

/**
 * A service interface with:
 * 1) operation which uses a Java class as input parameter
 * 2) operation which has a void input parameter
 */
@Remotable
public interface ServiceComplex1 {
	
	/**
	 * Method for invoking testcase service
	 * @param input - input parameter as a ComplexClass object
	 * @return - output data as a String
	 */
	public String operation1( ComplexClass input );
	
	/**
	 * Second method for invoking testcase service
	 * @return - output data as a String
	 */
	public String operation2( );

}
