/*
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_javapojo;

import org.junit.Test;
import org.junit.Ignore;

import client.BaseJAXWSTestRunner;
import client.TestConfiguration;
import testClient.TestInvocation;

/**
 * Client for POJO_8009_TestCase
 * TTests that a POJO implementation with a @Property annotation which annotates a setter method 
 * and the setter method parameter has a type which is not an array or a collection type has a 
 * componentType <property/> element with @name set to the JavaBeans property name derived from 
 * the name of the setter method and has @type set to the JAXB mapping of the parameter of the 
 * setter method
 */
public class POJO_8009_TestCase extends BaseJAXWSTestRunner {

    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		 = "POJO_8009";
    	config.input 		 	 = "request";
    	config.output[0] 		 = "POJO_8009 request service1 operation1 invoked 2002.09.13 09:00:00";
    	config.composite 		 = "Test_" + config.testName + ".composite";
    	config.testServiceName 	 = "TestClient";
    	config.contributionNames = new String[] { "POJO_General" };
    	config.serviceInterface  = TestInvocation.class;
    	return config;
    }
    
    /**
     * Dummy method to ensure that things work with JUnit 3 eg within Eclipse Ganymede
     */
    @Ignore
    @Test
    public void testFoo() throws Exception {  	
    }
    
} // end class Test_POJO_8009
