/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1;
import org.oasisopen.sca.test.y.ServiceComplex1;

/**
 * Java component implementation with
 * 1 service with interface Service1,
 * 1 reference (1..1) with interface ServiceComplex1
 * reference gets called when service1 operation1 is invoked
 *
 */
@Service(Service1.class)
public class service1ComplexClientImpl implements Service1 {
	
	@Property
	public String serviceName = "service1";
	// Reference with an implied multiplicity of (1..1) since required=true is the default
	@Reference
	public ServiceComplex1 reference1 = null;

	public String operation1(String input) {
 		// Invoke the ServiceComplex1 service, operation2
		String hash1 = reference1.operation2();
		// Get hashcodes for classloaders of this class and the service interface class
		String hash2 = String.valueOf( this.getClass().getClassLoader().hashCode() );
		String hash3 = String.valueOf( ServiceComplex1.class.getClassLoader().hashCode() );
		String response = " classloaders set incorrectly";
		if( hash1.equals(hash3) && (!hash1.equals(hash2)) ) {
			response = " classloaders set correctly";
		} // end if
		return serviceName + " operation1 invoked" + response;
	}

}
