/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1Superset;


/**
 * Java component implementation
 * 1 service with interface Service1Superset
 * 0 references
 *
 * Implementation class does not implement all of the methods defined by Service1Superset and thus
 * is in error.
 * Note that the class is designed so that it is not declared to implement any interface - it simply
 * has a method that corresponds to the Service1 interface - but not the extra method declared in the
 * Service1Superset interface
 */
@Service(Service1Superset.class)
public class incompleteOperationsImpl {
	
	@Property(required=true)
	public String serviceName = "service1";
	
	/**
	 * This method is in both Service1 and Service1Superset interfaces
	 * @param input - a String with input data
	 * @return - a String response
	 */
	public String operation1(String input) {
		return serviceName + " operation1 invoked";
	}
	
	/**
	 * Service1Superset requires an operation2 method - this is not provided here...
	 */

} // end class incompleteOperationsImpl
