/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1;


/**
 * Java component implementation
 * 1 service with interface Service1
 * 0 references
 *
 * Has 2 constructors not annotated with @Constructor with all parameters annotated with @Property or with @Reference
 *
 */
@Service(Service1.class)
public class service1MultipleAnnotatedConstructorsImpl implements Service1 {
	
	String constructorMessage = null;
	
	/**
	 * No-arg constructor, unannotated
	 */
	public service1MultipleAnnotatedConstructorsImpl() {
		constructorMessage = " no-arg constructor was invoked";
	}
	
	/**
	 * Constructor 1 with no @Constructor annotation, but with all parameters annotated with
	 * either @Property or with @Reference
	 * @param serviceName
	 */
	public service1MultipleAnnotatedConstructorsImpl( @Property(name="serviceName") String serviceName ) {
		constructorMessage = " fullAnnotated constructor 1 was invoked";
	}

	/**
	 * Constructor 1 with no @Constructor annotation, but with all parameters annotated with
	 * either @Property or with @Reference
	 * @param serviceName
	 */
	public service1MultipleAnnotatedConstructorsImpl( @Property(name="secondProperty") String secondProperty,
			                                          @Property(name="thirdProperty") String thirdProperty ) {
		constructorMessage = " fullAnnotated constructor 2 was invoked";
	}
	public String serviceName = "service1";
	
	public String operation1(String input) {
		return serviceName + " operation1 invoked" + constructorMessage;
	}

}
