/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1;


/**
 * Java component implementation
 * 1 service with interface Service1
 * 0 references
 * 1 property with name duplicateProperty
 *
 * Class has a 2 setter methods annotated with @Property and the Javabeans names of these two methods
 * is the same - which is an error
 */
@Service(Service1.class)
public class service1DupPropertySettersImpl implements Service1 {
	
	@Property
	public String serviceName = "service1";
	private String duplicateProperty = null;
	
	public String operation1(String input) {
		return serviceName + " operation1 invoked " + duplicateProperty;
	}
	
	@Property
	public void setduplicateProperty( String theProperty ) {
		duplicateProperty = theProperty;
	}

	/**
	 * This differs from the previous method only in the capitalization of the
	 * name following the "set" at the beginning of its name...
	 * @param theProperty
	 */
	@Property
	public void setDuplicateProperty( String theProperty ) {
		duplicateProperty = theProperty;
	}

}
