/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1;


/**
 * Java component implementation
 * 1 service with interface Service1
 * 0 references
 * 1 property declared via @Property annotation on a setter method
 *
 */
@Service(Service1.class)
public class service1PropertySetterImpl implements Service1 {
	
	@Property(required=true)
	public String serviceName = "service1";
	private Date theDate = null;
	
	public String operation1(String input) {
		SimpleDateFormat formatter = new SimpleDateFormat("yyyy.MM.dd HH:mm:ss");
		
		return serviceName + " operation1 invoked " + formatter.format(theDate);
	}
	
	@Property(required=true)
	public void setDateProperty( Date aDate ) {
		theDate = aDate;
	}

}
