/*
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_javapojo;

import org.junit.Test;
import org.junit.Ignore;

import client.BaseJAXWSTestRunner;
import client.TestConfiguration;
import testClient.TestInvocation;

/**
 * Client for POJO_10003_TestCase
 * Tests that where a contribution A contains a component with an implementation from a 
 * Java package not found in contribution A and where the sca-contribution.xml has an 
 * <import.java/> for that package with a @location attribute pointing at a contribution B 
 * and contribution B both contains classes for that Java package and also exports that 
 * package, that the classes from contribution B satisfy the import from contribution A 
 * and that the component is instantiated.
 */
public class POJO_10003_TestCase extends BaseJAXWSTestRunner {

    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		 = "POJO_10003";
    	config.input 		 	 = "request";
    	config.output[0] 		 = "POJO_10003 request service1 operation1 invoked ContributionB";
    	config.composite 		 = "Test_" + config.testName + ".composite";
    	config.testServiceName 	 = "TestClient";
    	config.contributionNames = new String[] { "POJO_10003" , "POJO_ContributionB" , "POJO_General" };
    	config.serviceInterface  = TestInvocation.class;
    	return config;
    }
    
    /**
     * Dummy method to ensure that things work with JUnit 3 eg within Eclipse Ganymede
     */
    @Ignore
    @Test
    public void testFoo() throws Exception {  	
    }
    
} // end class Test_POJO_10003
