/*
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_javapojo;

import org.junit.Test;
import org.junit.Ignore;

import client.BaseJAXWSTestRunner;
import client.TestConfiguration;
import testClient.TestInvocation;

/**
 * Client for POJO_10004_TestCase
 * Tests that where a contribution A has references to Java artifacts from 2 different Java packages X and Y 
 * and where both of these packages are imported, and where package X is exported by a contribution B with a 
 * uses statement specifying a specific version of package Y, that import of Y in contribution A must import 
 * the same version of Y as specified in the uses attribute in contribution B.
 * 
 * The testcase is setup so that the imported version of Y does NOT match the version in the uses clause of
 * the export of X with the result that test should fail
 */
public class POJO_10004_TestCase extends BaseJAXWSTestRunner {

    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		 = "POJO_10004";
    	config.input 		 	 = "request";
    	config.output[0] 		 = "exception";
    	config.composite 		 = "Test_" + config.testName + ".composite";
    	config.testServiceName 	 = "TestClient";
    	config.contributionNames = new String[] { "POJO_10004" , "POJO_ContributionD" , "POJO_ContributionC", "POJO_General" };
    	config.serviceInterface  = TestInvocation.class;
    	return config;
    }
    
    /**
     * Dummy method to ensure that things work with JUnit 3 eg within Eclipse Ganymede
     */
    @Ignore
    @Test
    public void testFoo() throws Exception {  	
    }
    
} // end class Test_POJO_10004
