/*
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_javapojo;

import org.junit.Test;
import org.junit.Ignore;

import client.BaseJAXWSTestRunner;
import client.TestConfiguration;
import testClient.TestInvocation;

/**
 * Client for POJO_8016_TestCase
 * Tests that a POJO implementation class with @Service annotation and @Remotable annotation, where the @Service annotation 
 * references an interface which does not contain an @Remotable annotation has a componentType with a <service/> element 
 * with <interface.java/> set with @interface set to the fully qualified name of the interface class in the value attribute 
 * of the @Service annotation and the @remotable attribute set to "true"
 */
public class POJO_8016_TestCase extends BaseJAXWSTestRunner {

    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		 = "POJO_8016";
    	config.input 		 	 = "request";
    	config.output[0] 		 = "POJO_8016 request service1 operation1 invoked";
    	config.composite 		 = "Test_" + config.testName + ".composite";
    	config.testServiceName 	 = "TestClient";
    	config.contributionNames = new String[] { "POJO_General" };
    	config.serviceInterface  = TestInvocation.class;
    	return config;
    }
    
    /**
     * Dummy method to ensure that things work with JUnit 3 eg within Eclipse Ganymede
     */
    @Ignore
    @Test
    public void testFoo() throws Exception {  	
    }
    
} // end class Test_POJO_8016
