/*
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_javapojo;

import org.junit.Test;
import org.junit.Ignore;

import client.BaseJAXWSTestRunner;
import client.TestConfiguration;
import testClient.TestInvocation;

/**
 * Client for POJO_8027_TestCase
 * Tests that an implementation class with zero @Service, @Reference, @Property annotations, which has a public setter method, 
 * not part of a service interface, with a parameter type which is a java.util.Collection not parameterized by an interface 
 * class annotated with @Remotable has a componentType with a <property/> element with @name set to the JavaBeans property 
 * name from the setter method name, @type set to the JAXB mapping of the type of the setter parameter and @many set to "true"
 */
public class POJO_8027_TestCase extends BaseJAXWSTestRunner {

    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		 = "POJO_8027";
    	config.input 		 	 = "request";
    	config.output[0] 		 = "POJO_8027 request service1 operation1 invoked 2002.09.13 09:00:00 2010.10.28 23:05:13";
    	config.composite 		 = "Test_" + config.testName + ".composite";
    	config.testServiceName 	 = "TestClient";
    	config.contributionNames = new String[] { "POJO_General" };
    	config.serviceInterface  = TestInvocation.class;
    	return config;
    }
    
    /**
     * Dummy method to ensure that things work with JUnit 3 eg within Eclipse Ganymede
     */
    @Ignore
    @Test
    public void testFoo() throws Exception {  	
    }
    
} // end class Test_POJO_8027
